# Method: operations.cancel

- [HTTP request](https://docs.cloud.google.com/vision/deprecation/docs/reference/rest/v1/operations/cancel#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/vision/deprecation/docs/reference/rest/v1/operations/cancel#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/vision/deprecation/docs/reference/rest/v1/operations/cancel#body.request_body)
- [Response body](https://docs.cloud.google.com/vision/deprecation/docs/reference/rest/v1/operations/cancel#body.response_body)
- [Authorization Scopes](https://docs.cloud.google.com/vision/deprecation/docs/reference/rest/v1/operations/cancel#body.aspect)
- [Try it!](https://docs.cloud.google.com/vision/deprecation/docs/reference/rest/v1/operations/cancel#try-it)

Starts asynchronous cancellation on a long-running operation. The server makes a best effort to cancel the operation, but success is not guaranteed. If the server doesn't support this method, it returns `google.rpc.Code.UNIMPLEMENTED`. Clients can use `https://docs.cloud.google.com/vision/deprecation/docs/reference/rest/v1/operations/get#google.longrunning.Operations.GetOperation` or other methods to check whether the cancellation succeeded or whether the operation completed despite cancellation. On successful cancellation, the operation is not deleted; instead, it becomes an operation with an `https://docs.cloud.google.com/vision/deprecation/docs/reference/rest/v1/locations.operations#Operation.FIELDS.error` value with a `https://docs.cloud.google.com/vision/deprecation/docs/reference/rest/v1/Status#FIELDS.code` of 1, corresponding to `Code.CANCELLED`.

### HTTP request

`POST https://alpha-vision.googleapis.com/v1/{name=operations/**}:cancel`

The URL uses [gRPC Transcoding](https://github.com/googleapis/googleapis/blob/master/google/api/http.proto) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` The name of the operation resource to be cancelled. |

### Request body

The request body must be empty.

### Response body

If successful, the response body will be empty.

### Authorization Scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `https://www.googleapis.com/auth/cloud-vision`

For more information, see the [Authentication Overview](https://cloud.google.com/docs/authentication/).

## Try it!